package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import com.jpsoft.picc.modules.common.constant.StudentPolicyStatus;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:business_student_application_record的实体类
 */
@Data
@ApiModel(value = "business_student_application_record的实体类")
public class StudentApplicationRecord {
	@ApiModelProperty(value = "编号")
	private String id;
	@ApiModelProperty(value = "投保单申请ID")
	private String applicationId;
	@ApiModelProperty(value = "意见")
	private String opinion;
	@ApiModelProperty(value = "流程审核状态:正常/回退等")
	private String processStatus;
	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
	@ApiModelProperty(value = "状态")
	private String status;
	@ApiModelProperty(value = "状态:待缴费20/待审核30/待制单40/待签名50/已出单60/已过期100(翻译)")
	private String statusN;
	@ApiModelProperty(value = "创建人")
	private String createBy;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	@ApiModelProperty(value = "修改人")
	private String updateBy;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updateTime;
	public String getStatusN() {
		String statusN = "";
		if(status.equals("10")){
			statusN = StudentPolicyStatus.Draft.getText();
		}
		else if(status.equals("15")){
			statusN = StudentPolicyStatus.Back.getText();
		}
		else if(status.equals("20")){
			statusN = StudentPolicyStatus.PendingPay.getText();
		}
		else if(status.equals("30")){
			statusN = StudentPolicyStatus.PendingMakePolicy.getText();
		}
		else if(status.equals("40")){
			statusN = StudentPolicyStatus.PendingOutPolicy.getText();
		}
		else if(status.equals("50")){
			statusN = StudentPolicyStatus.PendingSigned.getText();
		}
		else if(status.equals("60")){
			statusN = StudentPolicyStatus.SendOutPolicy.getText();
		}
		else{
			statusN = StudentPolicyStatus.Expired.getText();
		}
		return statusN;
	}

	public void setStatusN(String statusN){
		this.statusN = statusN;
	}
}